Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access.util
Class PrimaryKeyHelper

    java.lang.Object
      org.objectstyle.cayenne.access.util.PrimaryKeyHelper

Deprecated. since 1.2 replaced with a non-public utility class.

    public class PrimaryKeyHelper

extends java.lang.Object

PrimaryKeyHelper resolves primary key dependencies for entities related to the supported query engine via topological sorting. It is directly based on ASHWOOD. In addition it provides means for primary key generation relying on DbAdapter in this.

Author:
  Andriy Shapochka

Constructor Summary
`PrimaryKeyHelper(QueryEngine queryEngine)` Deprecated.

Method Summary
`void` | `createPermIdsForObjEntity(ObjEntity objEntity, java.util.List dataObjects)` Deprecated.
`java.util.Comparator` | `getDbEntityComparator()` Deprecated.
`java.util.Comparator` | `getObjEntityComparator()` Deprecated.
`void` | `reset()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimaryKeyHelper

    public PrimaryKeyHelper(QueryEngine queryEngine)

  Deprecated.

Method Detail

### reset

    public void reset()

  Deprecated.

### getDbEntityComparator

    public java.util.Comparator getDbEntityComparator()

  Deprecated.

### getObjEntityComparator

    public java.util.Comparator getObjEntityComparator()

  Deprecated.

### createPermIdsForObjEntity

    public void createPermIdsForObjEntity(ObjEntity objEntity,
                                          java.util.List dataObjects)
                                   throws CayenneException

  Deprecated.
  Throws:
    `CayenneException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.